Bug 100871 - SMP Kernel when having just one processor
Summary: SMP Kernel when having just one processor
Status: CLOSED NOTABUG
Alias: None
Product: Red Hat Linux Beta
Classification: Retired
Component: anaconda (Show other bugs)
(Show other bugs)
Version: beta1
Hardware: i386 Linux
medium
low
Target Milestone: ---
Assignee: Michael Fulbright
QA Contact: Mike McLean
URL:
Whiteboard:
Keywords:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2003-07-26 12:25 UTC by Marcos F. Villa
Modified: 2007-04-18 16:56 UTC (History)
0 users

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-10-16 01:02:40 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description Marcos F. Villa 2003-07-26 12:25:16 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686) Gecko/20030530 Galeon/1.3.5

Description of problem:
After following the installation I notice that the kernel selected in grub was
2.4.20...SMP. Pretty weird when I only have 1 processor. Probably it is because
the velocity of the micro or maybe because the fsb velocity.

My machine configuration is:

Processor: P4 2.4Ghz 800Mhz
Motherboard: Intel D865-BGF
Hard Disk: WD 60Gb 7200
RAM Memory: 512 Mb DDR 333Mhz (distributed in 2 slots)

Version-Release number of selected component (if applicable):


How reproducible:
Always

Steps to Reproduce:
1. Install the system and notice that it is configured to run with an SMP kernel
when there's no more than 1 processor
2.
3.
    

Actual Results:  The system boots with the SMP kernel as default

Expected Results:  The system shouldn't boot with the SMP kernel because there's
no more than 1 processor

Additional info:

Comment 1 Jeremy Katz 2003-07-27 03:21:03 UTC
Does this processor support hyperthreading?

Comment 2 Jeremy Katz 2003-10-16 01:02:40 UTC
Closing due to inactivity.  Please reopen if you have any further information to
add to this bug report


Note You need to log in before you can comment on or make changes to this bug.